{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = noSeqArrete; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PATC_ORDRE"; 
            externalType = NUMBER; 
            name = patcOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAT_ORDRE"; 
            externalType = NUMBER; 
            name = patOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (noSeqArrete, patcOrdre, patOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.correspondance.conges.EOCongePaterniteCorresp"; 
    classProperties = (dCreation, dModification, toCongePaternite, toMangueCongePaternite); 
    externalName = "IMPORT.CONGE_PATERNITE_CORRESP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (dCreation, dModification, toCongePaternite, toMangueCongePaternite); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.correspondance.EOCongePaterniteCorresp"; 
    }; 
    name = CongePaterniteCorresp; 
    primaryKeyAttributes = (patcOrdre); 
    relationships = (
        {
            destination = CongePaternite; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = patOrdre; sourceAttribute = patOrdre; }); 
            name = toCongePaternite; 
        }, 
        {
            destination = MangueCongePaternite; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = noSeqArrete; }); 
            name = toMangueCongePaternite; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {
            parentClassName = "org.cocktail.connecteur.serveur.modele.correspondance.ObjetCorresp"; 
        }; 
    }; 
}
